## xwpe 1.4.1-2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#C-Compiler (gcc if exist):
CC=		gcc
CFLAGS=		-O2 -I/usr/include/ncurses

#Source Directory:
srcdir=		.

#Destination Directory
prefix=/usr
DESTDIR=	$(prefix)/bin
LIBDIR=		$(prefix)/lib
WPELIBDIR=	$(LIBDIR)/wpe
MANDIR=		$(prefix)/man

LIBS=-L/usr/X11R6/lib  -lX11 -lncurses
DEFS=-I/usr/include/X11 -I/usr/include/ncurses -I/usr/include/ncurses/X11  -DRANLIB -D"PRNTCMD=\"lpr\"" -DNOVSWTCH
EXTDEFS=
EXTLIBS=
INSTALL=	cp

#If You like or need uncomment the following Statements:

# Put in here special Flags if you like
# SPFLAGS=	-DALTMASK=Mod3Mask -DDEF_SHELL=\"/bin/ksh\" \
#        	-DINFO_FILE=\"/usr/local/info/dir\" \
#		-DNOOPTFILEDIR

#If you want the old xwpe-style ( < Version 1.2.0 )
# (Not so pretty, but a little bit more Turbo C like ):
# NONEWSTYLE=	-DNONEWSTYLE

#If you don't want the XWindow-Version of wpe and we:
# NOXWINDOW=	-DNOXWINDOW
#else
# XWINLIB=	-lX11

#If you only want the Editor (no Programming Environment):
# NOPROG=	-DNOPROG

#If you don't want the Debugger-Features:
# NODEBUGGER=	-DNODEBUGGER

#If configure or make fails look through the following lines
#and uncomment what Your system needs:

#XWindow Include Path:
# IXWINDOW=	-I/usr/X11R5/include

#XWINDOW Library Path:
# LXWINDOW=	-L/usr/X11R5/lib

#If You need a additional System V Path:
#include:
# ISYSV=		-I/usr/5include
#library:
# LSYSV=		-L/usr/5lib	  #library

#If You got a Curses Library
TLIB=		-lncurses

#If You didn't get a Curses Library
# TLIB=		-ltermlib
# DTERMCAP=	-DTERMCAP

#If You need the Posix Library:
# LPOSIX=		-lcposix

#If You need Network Libraries:
# LNET=			-linet

#If You don't use the GNU-Compiler:
# NOGNU=		-DNOGNU

#If Your Compiler isn't ANSI:
# NOANSI=		-DNOANSI

#If there don't have a printer Command;
# PRNTCMD=		-DNOPRINTER
#else put here your command to print:
# PRNTCMD=		-D\"lpr\"

#If You didn't get the Makros putc and getc:
# DEFPGC=	-DDEFPGC

#If You need a Declaration strstr and getcwd:
# NOSTRSTR=	-DNOSTRSTR

#If Your System don't define VSWTCH
# NOVSWTCH=	-DNOVSWTCH

#If You have to run ranlib after building a Library:
# RANLIB=	-DRANLIB

#If Your System get symbolic links
# NOSYMBLNKS=	-DNOSYMLINKS

#If Your System got xdb (not dbx)
# DEFXDB=	-DXDB

ECFLAGS=	$(IXWINDOW) $(LXWINDOW) $(ISYSV) $(NOGNU) \
		$(NOANSI) $(DTERMCAP) $(NOXWINDOW) $(NOPROG) $(NODEBUGGER) \
		$(DEFPGC) $(NOSTRSTR) $(NOVSWTCH) $(RANLIB) $(EXTDEFS) \
		$(PRNTCMD) $(NOSYMBLNKS) $(NONEWSTYLE) $(DEFXDB) $(SPFLAGS)

ELIBFLAGS=	$(LSYSV) $(LXWINDOW) $(TLIB) $(LPOSIX) $(XWINLIB) $(LNET) $(EXTLIBS)

ACFLAGS=	$(CFLAGS) $(DEFS) $(ECFLAGS) -D"DESTDIR=\"$(DESTDIR)\""

LIBFLAGS=	$(LIBS) $(ELIBFLAGS)

UNPROTOIZE=	unprotoize
UNPOPT=		-c "$(ACFLAGS)"

OFILES=		we_main.o we_block.o we_dos.o we_unix.o we_e_aus.o \
		we_edit.o we_fl_dos.o we_fl_fkt.o we_fl_unix.o we_hfkt.o \
		we_menue.o we_mouse.o we_opt.o we_wind.o we_term.o \
		we_prog.o we_progn.o we_debug.o we_xterm.o

CFILES=		we_main.c we_block.c we_dos.c  we_unix.c we_e_aus.c \
		we_edit.c we_fl_dos.c we_fl_fkt.c we_fl_unix.c we_hfkt.c \
		we_menue.c we_mouse.c we_opt.c we_wind.c we_term.c \
		we_prog.c we_progn.c we_debug.c we_xterm.c

HFILES=		attrb.h doskeys.h dosmakro.h edit.h keys.h \
		model.h progr.h swap.h unixkeys.h unixmakr.h \
		xkeys.h

wpedt:		$(OFILES)
		$(CC) $(ACFLAGS) $(OFILES) $(LIBFLAGS) -s -o wpedt

.c.o:		$(HFILES)
		$(CC) $(ACFLAGS) -c $<

clean:
		rm -f *.o wpedt xwpe wpe we xwe core *.ESV

install_fst:	wpedt
		if test ! -d ${DEBDIR}$(DESTDIR); then  mkdir ${DEBDIR}$(DESTDIR); fi
		if test ! -d ${DEBDIR}$(LIBDIR); then  mkdir ${DEBDIR}$(LIBDIR); fi
		if test ! -d ${DEBDIR}$(WPELIBDIR); then  mkdir ${DEBDIR}$(WPELIBDIR); fi
		rm -f ${DEBDIR}$(DESTDIR)/wpe ${DEBDIR}$(DESTDIR)/xwpe ${DEBDIR}$(DESTDIR)/we ${DEBDIR}$(DESTDIR)/xwe
		$(INSTALL) wpedt ${DEBDIR}$(DESTDIR)/we
		chmod ugo+x ${DEBDIR}$(DESTDIR)/we
		if test -z "$(NOXWINDOW)"; then \
		   ln ${DEBDIR}$(DESTDIR)/we ${DEBDIR}$(DESTDIR)/xwe; fi
		if test -z "$(NOPROG)" & test -z "$(NOXWINDOW)"; then \
		   ln ${DEBDIR}$(DESTDIR)/we ${DEBDIR}$(DESTDIR)/xwpe; fi
		if test -z "$(NOPROG)"; then \
		   ln ${DEBDIR}$(DESTDIR)/we ${DEBDIR}$(DESTDIR)/wpe; fi
		rm -f ${DEBDIR}$(DESTDIR)/.we_help* ${DEBDIR}$(DESTDIR)/.*wperc
		rm -f ${DEBDIR}$(WPELIBDIR)/we_help
		if test ! -f ${DEBDIR}$(WPELIBDIR)/we_synt_defs; then  \
		  $(INSTALL) .we_synt_defs ${DEBDIR}$(WPELIBDIR)/we_synt_defs;  \
		  chmod 644 ${DEBDIR}$(WPELIBDIR)/we_synt_defs; fi
		if test ! -d ${DEBDIR}$(MANDIR); then  mkdir ${DEBDIR}$(MANDIR); fi
		if test ! -d ${DEBDIR}$(MANDIR)/man1; then  mkdir ${DEBDIR}$(MANDIR)/man1; fi
		rm -f ${DEBDIR}$(MANDIR)/man1/xwpe.1 ${DEBDIR}$(MANDIR)/man1/xwe.1 
		rm -f ${DEBDIR}$(MANDIR)/man1/wpe.1 ${DEBDIR}$(MANDIR)/man1/we.1 
		$(INSTALL) xwe.1 wpe.1 we.1 ${DEBDIR}$(MANDIR)/man1
		chmod 644 ${DEBDIR}$(MANDIR)/man1/xwe.1 
		chmod 644 ${DEBDIR}$(MANDIR)/man1/wpe.1 ${DEBDIR}$(MANDIR)/man1/we.1 

install:	install_fst
		$(INSTALL) we.help_eng ${DEBDIR}$(WPELIBDIR)/we_help
		chmod 644 ${DEBDIR}$(WPELIBDIR)/we_help
		$(INSTALL) xwpe.1_eng ${DEBDIR}$(MANDIR)/man1/xwpe.1
		chmod 644 ${DEBDIR}$(MANDIR)/man1/xwpe.1

install_german:	install_fst
		$(INSTALL) we.help_gr ${DEBDIR}$(WPELIBDIR)/we_help
		chmod 644 ${DEBDIR}$(WPELIBDIR)/we_help
		$(INSTALL) xwpe.1_gr ${DEBDIR}$(MANDIR)/man1/xwpe.1
		chmod 644 ${DEBDIR}$(MANDIR)/man1/xwpe.1

## xwpe 1.5.30a

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#C-Compiler (gcc if exist):
CC=		gcc
CFLAGS=		-g -O2  -I/usr/X11R6/include
#CFLAGS=		-g -O2 @EXTRA_CFLAGS@  -I/usr/X11R6/include

#Source Directory:
srcdir=		.

#Destination Directory
prefix=/usr/local
exec_prefix=${prefix}
DESTDIR=${exec_prefix}/bin
LIBDIR=${exec_prefix}/lib
XWPELIBDIR=	$(LIBDIR)/xwpe
MANDIR=${prefix}/man

LIBS=-lz -lgpm  -lncurses
XLIBS= -L/usr/X11R6/lib  -lSM -lICE  -lX11
DEFS= -DCC_HAS_PROTOS=1 -DHAVE_LIBGPM=1 -DHAVE_LIBZ=1 -DHAVE_MKDTEMP=1 -DRANDLIB=1 -DPRNTCMD=\"lpr\" -DMAN_S_OPT=1  -DLIBRARY_DIR=\"$(XWPELIBDIR)\" -DSELECTION
INSTALL=	cp
LN_S=	ln -s

# In case configure fails a description of many of the compilation options
# are provided below so that administrators can determine the proper flags.
# Please email any problems to Dennis Payne (dulsi@identicalsoftware.com)

# Recognized defines:
# -DNONEWSTYLE          :Use xwpe-style of version < 1.2.0
# -DNO_XWINDOWS         :Don't create the X windows versions
# -DNOPROG              :Don't create the programming environment (Broken)
# -DNODEBUGGER          :Don't include debugging features (Broken)
# -DNOPRINTER           :No printing from within xwpe
# -DPRNTCMD=\"lpr\"     :Command to print is \"lpr\"
# -DMAN_S_OPT           :Man accepts "-s" to select section
# -DNO_MINUS_C_MINUS_O  :Compiler doesn't accept -o and -c on same command
# -DDEFPGC              :No macros for putc and getc
# -DDEFTPUTS            :No prototype for tputs
# -DNOSTRSTR            :No prototype for strstr and getcwd
# -DRANLIB              :Have to run ranlib after building a library
# -DNOSYMLINKS          :No symbolic links
# -DXDB                 :System has xdb not dbx
# -DTERMCAP             :Use termcap instead of curses
# -DSIMPLE_BACKUP_SUFFIX=\"\" 
#                       : The bak-file suffix, default is TurboC-like
# -DDEFAULT_ALTMASK=Mod3Mask
#                       :Mask to determined if alt is pressed in X
# -DINFO_DIR=\"/usr/local/info\"
#                       :Location of info directory
# -DLIBRARY_DIR=\"/usr/local/lib/xwpe\"
#                       :Location of xwpe library directory
# -DDEF_SHELL=\"/bin/ksh\"
#                       :Default shell to run
# -DXTERM_CMD=\"/usr/X11R6/bin/color_xterm\"
#                       :Define the command to execute an xterm
# -DXWPE_DLL            :Builds x and terminal support into libraries
# -DSELECTION           :Use X Selection events instead of XStoreBytes

# Possible include paths needed:
# -I/usr/X11R5/include  :X include path
# -I/usr/5include       :System V include path

# Possible library paths needed:
# -L/usr/X11R5/lib      :X library path
# -L/usr/5lib           :System V library path

# Possible libraries needed:
# -lX11              :X library
# -lcurses           :Curses library
# -lncurses          :Ncurses library (replaces curses on newer systems)
# -ltermlib          :Termcap library
# -lcposix           :Posix Library
# -linet             :Network library

OFILES=		we_main.o we_block.o we_unix.o we_e_aus.o \
		we_edit.o we_fl_fkt.o we_fl_unix.o we_hfkt.o \
		we_menue.o we_mouse.o we_opt.o we_wind.o \
		we_prog.o we_progn.o we_debug.o WeString.o \
		WeSyntax.o WeExpArr.o WeLinux.o we_gpm.o
X_OFILES=	we_xterm.o WeXterm.o
T_OFILES=	we_term.o

CFILES=		we_main.c we_block.c we_unix.c we_e_aus.c \
		we_edit.c we_fl_fkt.c we_fl_unix.c we_hfkt.c \
		we_menue.c we_mouse.c we_opt.c we_wind.c we_term.c \
		we_prog.c we_progn.c we_debug.c we_xterm.c WeString.c \
		WeXterm.c WeSyntax.c WeExpArr.c WeLinux.c we_gpm.c

HFILES=		attrb.h edit.h keys.h \
		model.h progr.h unixkeys.h unixmakr.h \
		Xwpe.h WeString.h WeXterm.h WeProg.h WeExpArr.h

xwpe:	$(OFILES) $(X_OFILES) $(T_OFILES)
	$(CC) $(CFLAGS) $(DEFS) $(OFILES) $(X_OFILES) $(T_OFILES) \
	  $(LIBS) $(XLIBS) -o xwpe
#	$(CC) -Wl,-E $(CFLAGS) $(DEFS) $(OFILES) $(LIBS) -o xwpe

libxwpe-x11.so:	$(X_OFILES)
	$(CC) -shared $(X_OFILES) $(XLIBS) -o libxwpe-x11.so

libxwpe-term.so:	$(T_OFILES)
	$(CC) -shared $(T_OFILES) -o libxwpe-term.so

#$(X_OFILES) $(T_OFILES):	$(HFILES)
#	$(CC) -fPIC $(CFLAGS) $(DEFS) -c $(subst .o,.c,$@)

.c.o:	$(HFILES)
	$(CC) $(CFLAGS) $(DEFS) -c $<

clean:
	rm -f *.o xwpe wpe we xwe libxwpe-x11.so libxwpe-term.so core *.ESV

distclean:
	rm -f config.status config.cache config.log Makefile

# Bug Note: Currently xwpe and xwe are installed even if X windows versions
# are not compiled.  (They will function as wpe and we respectively.)
install_fst:	xwpe
	if test ! -d $(DESTDIR); then mkdir -p $(DESTDIR); fi
	if test ! -d $(XWPELIBDIR); then mkdir -p $(XWPELIBDIR); fi
	rm -f $(DESTDIR)/wpe $(DESTDIR)/xwpe $(DESTDIR)/we $(DESTDIR)/xwe
	$(INSTALL) xwpe $(DESTDIR)/we
	chmod ugo+x $(DESTDIR)/we
	(cd $(DESTDIR) && $(LN_S) we xwe)
	(cd $(DESTDIR) && $(LN_S) we xwpe)
	(cd $(DESTDIR) && $(LN_S) we wpe)
	rm -f $(XWPELIBDIR)/help.xwpe
	if test ! -f $(XWPELIBDIR)/syntax_def; then  \
	  $(INSTALL) syntax_def $(XWPELIBDIR)/syntax_def; \
	  chmod ugo=r $(XWPELIBDIR)/syntax_def; fi
	if test ! -d $(MANDIR)/man1; then mkdir -p $(MANDIR)/man1; fi
	rm -f $(MANDIR)/man1/xwpe.1 $(MANDIR)/man1/xwe.1 
	rm -f $(MANDIR)/man1/wpe.1 $(MANDIR)/man1/we.1 
	$(INSTALL) xwe.1 wpe.1 we.1 $(MANDIR)/man1
	chmod ugo=r $(MANDIR)/man1/xwe.1 
	chmod ugo=r $(MANDIR)/man1/wpe.1 $(MANDIR)/man1/we.1 
	if test -f libxwpe-x11.so; then \
	  $(INSTALL) libxwpe-x11.so $(XWPELIBDIR)/libxwpe-x11.so; fi
	if test -f libxwpe-term.so; then \
	  $(INSTALL) libxwpe-term.so $(XWPELIBDIR)/libxwpe-term.so; fi

install:	install_fst
	$(INSTALL) help.xwpe_eng $(XWPELIBDIR)/help.xwpe
	chmod ugo=r $(XWPELIBDIR)/help.xwpe
	$(INSTALL) help.key_eng $(XWPELIBDIR)/help.key
	chmod ugo=r $(XWPELIBDIR)/help.key
	$(INSTALL) xwpe.1_eng $(MANDIR)/man1/xwpe.1
	chmod ugo=r $(MANDIR)/man1/xwpe.1

# German install uses old documention as no updated version is available
install_german:	install_fst
	$(INSTALL) old/we.help_gr $(XWPELIBDIR)/help.xwpe
	chmod ugo=r $(XWPELIBDIR)/help.xwpe
	$(INSTALL) old/xwpe.1_gr $(MANDIR)/man1/xwpe.1
	chmod ugo=r $(MANDIR)/man1/xwpe.1

=== debian/changelog ===
xwpe (1.5.30a-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:24 +1100

xwpe (1.5.30a-4) unstable; urgency=medium

  * Added a new patch missing_protos for a few implicit internal declarations.
    (closes: #1066254)
  * Policy bumped to 4.6.2.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 23 Mar 2024 16:41:41 +0100

xwpe (1.5.30a-3) unstable; urgency=medium

  * Package revamped with debhelper 13 and policy 4.5.1.
  * Now d/rules uses dh targets extensively.
  * Patched revised to remove dpatch scent.
  * Added one more patch to cope with -Werror=format-security.
  * d/copyright reformatted in machine-readable format.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 14 Jan 2021 18:20:36 +0100

xwpe (1.5.30a-2.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Update to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete x-dev t o x11proto-core-dev.
      (important; Closes: #579037).
      Update to debhelper 7.1. Remove dpatch.
    - (Homepage): Add new field.
    - (Standards-Version): Update to 3.8.4.
  * debian/copyright
    - Point to GPL-2.
  * debian/menu
    - Add missing double quotes to values.
    - Update obsolete "Apps/" to "Applications/".
  * debian/README.Debian
    - Fix spelling.
  * debian/rules
    - Remoeve dpatch; obsoleted by new packaging format.
  * debian/source/format
    - New file.
  * debian/watch
     - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 09 May 2010 02:49:50 +0300

xwpe (1.5.30a-2) unstable; urgency=high

  * Forcing NCURSES definition due to a configuration bug which rendered the
    ncurses based wpe unusable. Urgency due to importance of the issue for
    general use. Thanks dulsi@identicalsoftware.com.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Nov 2006 17:22:29 +0100

xwpe (1.5.30a-1) unstable; urgency=medium

  * New upstream version with a few minor fixes.
  * Policy bumped to 3.7.2 without changes.
  * Moved to DH compat 5, using a debian/compat file.
  * Now excluding gpm support for GNU/kFreeBSD and Hurd.
    (closes: #375423)
  * Updated copyright file.
  * Added a README.Debian file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  2 Nov 2006 15:25:04 +0100

xwpe (1.5.29a-5) unstable; urgency=high

  * Changing tmp destdir to xwpe for dhelper compatibility.
    That caused missing binaries in -4 :-(

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 13 Feb 2006 12:36:16 +0100

xwpe (1.5.29a-4) unstable; urgency=low

  * Policy changed to 3.6.2 (no changes)
  * Compatibility level set to 4 for debhelper. Added ${misc:Depends}.
  * Removed xlibs-dev dependency and changed in xorg deps.
    (closes: #346860)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Jan 2006 10:56:58 +0100

xwpe (1.5.29a-3) unstable; urgency=low

  * Added dpatch support.
  * Policy bumped to 3.6.1, without changes.
  * Added patch:
  	tparm_proto.dpatch
    (closes: #264169)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 19 Aug 2004 16:25:08 +0200

xwpe (1.5.29a-2) unstable; urgency=low

  * Added gdb as a suggested pkg.
    (closes: #155339)
  * Policy version updated.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 10 Oct 2002 16:05:36 +0200

xwpe (1.5.29a-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  7 Oct 2002 11:43:15 +0200

xwpe (1.5.26a-4) unstable; urgency=low

  * New maintainer.
    (closes: #85054)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Jan 2002 14:04:06 +0100

xwpe (1.5.26a-3) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 14:42:34 +0100

xwpe (1.5.26a-2) unstable; urgency=low

  * New maintainer. (closes: #68097)

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  4 Feb 2001 12:04:17 +0100

xwpe (1.5.26a-1) unstable; urgency=low

  * New upstream version.

 -- Matej Vela <vela@debian.org>  Thu,  4 Jan 2001 16:44:04 +0100

xwpe (1.5.25a-1) unstable; urgency=low

  * New upstream version.
  * Applied the WpeGetCurrentDir patch.
  * debian/control: Forgot to add xlibs-dev to build dependancies.
  * Conforms to Standards version 3.2.1:
    * debian/rules: Supports `debug' and `nostrip' build options.

 -- Matej Vela <vela@debian.org>  Mon, 18 Dec 2000 04:31:46 +0100

xwpe (1.5.23a-2) unstable; urgency=low

  * Fix buffer overflow handling MANPATH (closes: #68433).

 -- Mark Brown <broonie@debian.org>  Sun, 22 Oct 2000 15:14:20 +0100

xwpe (1.5.23a-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Updated build dependancies.

 -- Matej Vela <vela@debian.org>  Tue, 11 Apr 2000 06:38:10 +0200

xwpe (1.5.22a-1) unstable; urgency=low

  * New upstream version.
  * Conforms to Standards version 3.1.1.

 -- Matej Vela <vela@debian.org>  Mon, 27 Dec 1999 17:43:00 +0100

xwpe (1.5.21a-1) unstable; urgency=low

  * New upstream version.
  * Since convertrc is gone:
    * Removed debian/README.Debian.
    * debian/rules:
      * Code for handling convertrc removed.
      * Calling ./configure with `--libdir=/usr/share' because
        everything in @libdir@/xwpe is architecture-independant now.
  * Conforms to Standards version 3.1.0:
    * debian/control: Added build dependancies, making config.cache
      checks in debian/rules unnecessary.

 -- Matej Vela <vela@debian.org>  Fri, 19 Nov 1999 06:25:45 +0100

xwpe (1.5.20a-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    * Calling ./configure with `--mandir=...' for FHS compliance.
    * Aborting if libgpm isn't found by ./configure, to prevent
      auto-builders from not including the (optional) GPM support.
    * Removed dh_installmanpages since the Makefile takes care of it.
  * Makefile.in (forwarded upstream):


=== debian/control ===
Source: xwpe
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (=13)
 ,libgpmg1-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 ,libncurses5-dev | libncurses-dev
 ,libx11-dev
 ,x11proto-core-dev,
 zlib1g-dev | libz-dev
Homepage: http://www.identicalsoftware.com/xwpe

Package: xwpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gdb
Description: Programming environment and editor for console and X11
 Xwpe is an integrated programming and debugging environment similar to
 Borland's Turbo C and Pascal family. It has many features including
 the ability to start many compilers, linkers and debuggers from a
 menu-based interface or using keystrokes.
 .
 Syntax highlighting is included for many programming languages, and
 any compiler and debugger can easily be used by the program. When
 compiling from within xwpe, errors in the source code can be jumped to
 and swiftly corrected. Variables and the stack can be easily displayed.
 Setting and unsetting breakpoints can be done directly within the
 source code.
 .
 Although it is designed to be a tool for programmers (when invoked as
 wpe or xwpe), it can also be used as an easy to learn text editor
 (when invoked as program 'we' or 'xwe').

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND=-DNCURSES

# This is introduced to support cross-building
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	dh_update_autotools_config
	PRNTCMD=lpr $(CURDIR)/configure --prefix=/usr --libdir='$${prefix}/share' --mandir='$${prefix}/share/man' \
			--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/xwpe/usr/bin prefix=$(CURDIR)/debian/xwpe/usr
